body {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--color-white);
    padding-bottom: 5rem;
    gap: 2.5rem;
}

form {
    display: flex;
    /* flex-direction: column; */
    align-items: center;
    gap: 1rem;
    margin-top: 1rem;
}

.hero {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    width: 65rem;
    height: 9.25rem;
    background-color: var(--color-primary);
    color: var(--color-white);
    padding: 2.5rem;
    gap: 0.5rem;
    border-radius: 0.5rem;
}

.hero p {
    font: var(--font-bold-r);
    color: var(--color-gray-100);
}

.hero h2 {
    font: var(--font-display-r);
    color: var(--color-white);
}

.post-table {
    display: flex;
    flex-direction: column;
    width: 65rem;
    gap: 1rem;
}

.post-table p {
    font: var(--font-body-s);
    color: var(--color-gray-200);
}

.post-table li {
    list-style-type: none;
}

.post-table li a {
    font: var(--font-body-s);
    color: var(--color-gray-400);
    text-decoration: none;
    border-radius: 4px;
}

table {
    border-collapse: collapse;
    margin-bottom: 1rem;
}

table thead {
    font: var(--font-body-r);
    color: var(--color-gray-200);  
}

table tbody {
    font: var(--font-body-r);
    color: var(--color-black);
}

table th,
table td {
    text-align: left;
    padding-top: 1rem;
    padding-bottom: 1rem;
    gap: 2.5rem;
    border-bottom: 1px solid var(--color-gray-100);
}

table td a {
    display: block;
    width: 31.25rem;
}

table th {
    font-weight: bold;
}

footer {
    width: 65rem;
    height: 2.5rem;
    display: flex;
    flex-direction: space-between;
    justify-content: space-between;
}

.footer-right-group{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

.pagination {
    display: flex;
    align-items: flex-start;
    list-style: none;
    font: var(--font-body-s);
    color: var(--color-gray-200);
}

.pagination li {
    width: 1.5rem;
    height: 1.5rem;
}

.pagination li a {
    color: var(--color-gray-200);
    font: var(--font-body-s);
    text-decoration: none;
    border-radius: 4px;
}

.pagination li a:hover {
    background-color: #ddd;
}

.current-page{
    font: var(--font-bold-s) !important; 
    color: var(--color-primary) !important;
} 

.search-input-container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 20rem;
    border: 1px solid var(--color-gray-100);
    border-radius: 0.25rem;
}

.search-input {
    flex: 1;
    padding: 0.5rem;
    padding-right: 2rem;
    border: none;
    outline: none;
    font: var(--font-body-s);
    color: var(--color-gray-200);
}

.search-button {
    color: var(--color-gray-200);
    background: none;
    border: none;
    padding: 1rem;
    cursor: pointer;
}
